<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: phuff_entropy_decoder Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structphuff__entropy__decoder-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">phuff_entropy_decoder Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7bb74612f96e3a03251d3cf89d8979bb"><td class="memItemLeft" align="right" valign="top"><a id="a7bb74612f96e3a03251d3cf89d8979bb"></a>
struct <a class="el" href="structjpeg__entropy__decoder.html">jpeg_entropy_decoder</a>&#160;</td><td class="memItemRight" valign="bottom"><b>pub</b></td></tr>
<tr class="separator:a7bb74612f96e3a03251d3cf89d8979bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a3f89232e35556262e5e743f7d13773"><td class="memItemLeft" align="right" valign="top"><a id="a2a3f89232e35556262e5e743f7d13773"></a>
<a class="el" href="structbitread__perm__state.html">bitread_perm_state</a>&#160;</td><td class="memItemRight" valign="bottom"><b>bitstate</b></td></tr>
<tr class="separator:a2a3f89232e35556262e5e743f7d13773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31eede7df3460ef29dec7090d7e0d676"><td class="memItemLeft" align="right" valign="top"><a id="a31eede7df3460ef29dec7090d7e0d676"></a>
<a class="el" href="structsavable__state.html">savable_state</a>&#160;</td><td class="memItemRight" valign="bottom"><b>saved</b></td></tr>
<tr class="separator:a31eede7df3460ef29dec7090d7e0d676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3808b78d4268a0454e257b91403232b2"><td class="memItemLeft" align="right" valign="top"><a id="a3808b78d4268a0454e257b91403232b2"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>restarts_to_go</b></td></tr>
<tr class="separator:a3808b78d4268a0454e257b91403232b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abce9cc542850340d672e8980e8bd64be"><td class="memItemLeft" align="right" valign="top"><a id="abce9cc542850340d672e8980e8bd64be"></a>
<a class="el" href="structd__derived__tbl.html">d_derived_tbl</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>derived_tbls</b> [NUM_HUFF_TBLS]</td></tr>
<tr class="separator:abce9cc542850340d672e8980e8bd64be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4df68d1e72bf6991d185991dbf79dc13"><td class="memItemLeft" align="right" valign="top"><a id="a4df68d1e72bf6991d185991dbf79dc13"></a>
<a class="el" href="structd__derived__tbl.html">d_derived_tbl</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>ac_derived_tbl</b></td></tr>
<tr class="separator:a4df68d1e72bf6991d185991dbf79dc13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>jdphuff.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
